# Class Interface

java.lang.Object
org.jmol.api.Interface

public class Interface extends Object

## Constructor Summary

Constructors
Constructor
Description
`Interface()`

## Method Summary

Modifier and Type
Method
Description
`static Object`
`getInterface(String name, Viewer vwr, String state)`
`static Object`
`getOption(String className, Viewer vwr, String state)`
Note! Do not use this method with "viewer." or "util." because when the JavaScript is built, "org.jmol.util" and "org.jmol.viewer" are condensed to "JU" and "JV" (javajs.util is also JU)
`static SymmetryInterface`
`getSymmetry(Viewer vwr, String state)`
`static Object`
`getUtil(String name, Viewer vwr, String state)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Interface

public Interface()

## Method Details

### getInterface

public static Object getInterface(String name, Viewer vwr, String state)

Parameters:
  `name` -
  `vwr` -
  `state` -
Returns:
  instance

### getOption

public static Object getOption(String className, Viewer vwr, String state)
Note! Do not use this method with "viewer." or "util." because when the JavaScript is built, "org.jmol.util" and "org.jmol.viewer" are condensed to "JU" and "JV" (javajs.util is also JU)

Parameters:
  `className` -
  `vwr` -
  `state` -
Returns:
  class instance

### getUtil

public static Object getUtil(String name, Viewer vwr, String state)

### getSymmetry

public static SymmetryInterface getSymmetry(Viewer vwr, String state)